Bug 975045 - Add warning that RHEV-M 3.1 SDK should not be used against RHEV-M 3.2
Add warning that RHEV-M 3.1 SDK should not be used against RHEV-M 3.2
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Charlie
Depends On:
  Show dependency treegraph
Reported: 2013-06-17 09:46 EDT by Petr Spacek
Modified: 2016-01-31 20:49 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Petr Spacek 2013-06-17 09:46:48 EDT
Description of problem:
mpastern said: both sdk and api have changed in 3.2, if you using 3.2 engine, you should be using 3.2 sdk against it

Version-Release number of selected component (if applicable):

Actual results:
There is no note about SDK compatibility.

Additional information:
Please contact mpastern.
Comment 1 Charlie 2013-08-07 20:26:50 EDT
Added not to section 1.3 of the guide - "Each version of Red Hat Enterprise Virtualization has a unique SDK associated with it. Please ensure that you are using the correct SDK for your current environment. For example, if you are using Red Hat enterprise Virtualization 3.2, you should be using the SDK developed for 3.2."
Comment 3 Charlie 2013-09-23 21:09:55 EDT
Inserted a note (first one) in section 1.3 -Red Hat Enterprise Virtualization REST API Prerequisites  in the developer guide, explaining about using correct SDK versions for each environment.  https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.2/html/Developer_Guide/Prerequisites1.html

Note You need to log in before you can comment on or make changes to this bug.